/* Reflow Oven Controller
 *
 * Copyright (C) 2020  Mario Hüttel <mario.huettel@gmx.net>
 *
 * This file is part of the Reflow Oven Controller Project.
 *
 * The reflow oven controller is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * GDSII-Converter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the reflow oven controller project.
 * If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _OPTION_BYTES_H_
#define _OPTION_BYTES_H_

#include <stdint.h>

struct option_bytes {
	/* Word 1 */
	uint32_t read_protection;// : 8;
	uint32_t nrst_standby;// : 1;
	uint32_t nrst_stop;// : 1;
	uint32_t wdg_sw;// : 1;
	uint32_t brown_out_level;// : 2;
	/* Word 2 */
	uint32_t nwrpi;// : 12;
};

/**
 * @brief Read out the option bytes to structs
 * @param opts
 */
void stm_option_bytes_read(struct option_bytes *opts);

int stm_option_bytes_program(const struct option_bytes *opts);

#endif /* _OPTION_BYTES_H_ */
